Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 518278 (CVE-2009-1884) - CVE-2009-1884 perl-Compress-Raw-Bzip2: Off-by-one error in the bzinflate function - DoS (crash)
Summary: CVE-2009-1884 perl-Compress-Raw-Bzip2: Off-by-one error in the bzinflate func...
Keywords:
Status: NEW
Alias: CVE-2009-1884
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: https://bugs.gentoo.org/show_bug.cgi?...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 17:40 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jan Lieskovsky 2009-08-19 17:40:43 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-1884 to
the following vulnerability:

Off-by-one error in the bzinflate function in Bzip2.xs in the
Compress-Raw-Bzip2 module before 2.018 for Perl allows
context-dependent attackers to cause a denial of service (application
hang or crash) via a crafted bzip2 compressed stream that triggers a
buffer overflow, a related issue to CVE-2009-1391.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1884
https://bugs.gentoo.org/show_bug.cgi?id=281955
https://bugs.gentoo.org/show_bug.cgi?id=281955

Comment 1 Jan Lieskovsky 2009-08-19 17:42:18 UTC
This issue affects the versions of perl-Compress-Raw-Bzip2 package,
as shipped with Fedora releases of 10 and 11.

This issue affects the versions of perl-Compress-Raw-Bzip2 package,
as shipped within Extra Packages for Enteprise Linux 5 (EPEL-5) project.

Comment 2 Fedora Update System 2009-08-20 07:45:08 UTC
perl-Compress-Raw-Bzip2-2.020-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Compress-Raw-Bzip2-2.020-1.fc11

Comment 3 Fedora Update System 2009-08-20 07:46:01 UTC
perl-Compress-Raw-Bzip2-2.020-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Compress-Raw-Bzip2-2.020-1.fc10

Comment 4 Marcela Mašláňová 2009-08-20 07:48:04 UTC
Update to the Compress-Raw-Bzip2-2.020 for all mentioned branches.

Comment 5 Fedora Update System 2009-08-22 01:02:41 UTC
perl-Compress-Raw-Bzip2-2.020-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-08-22 01:06:58 UTC
perl-Compress-Raw-Bzip2-2.020-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.